> ## Documentation Index
> Fetch the complete documentation index at: https://docs.harly.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish job

> Set job status to open and set publishedAt timestamp.



## OpenAPI

````yaml /openapi.json post /api/v1/jobs/{id}/publish
openapi: 3.1.0
info:
  title: Harly API
  version: 1.0.0
servers:
  - url: https://{instance}
    variables:
      instance:
        default: app.harly.dev
        description: Hostname of your Harly installation
security: []
paths:
  /api/v1/jobs/{id}/publish:
    post:
      tags:
        - Jobs
      summary: Publish job
      description: Set job status to open and set publishedAt timestamp.
      operationId: publishJob
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      title:
                        type: string
                      slug:
                        type: string
                      status:
                        type: string
                        enum:
                          - draft
                          - open
                          - closed
                      department:
                        anyOf:
                          - type: string
                          - type: 'null'
                      location:
                        anyOf:
                          - type: string
                          - type: 'null'
                      employmentType:
                        type: string
                      workplaceType:
                        type: string
                      description:
                        type: string
                      requirements:
                        anyOf:
                          - type: string
                          - type: 'null'
                      benefits:
                        anyOf:
                          - type: string
                          - type: 'null'
                      keywords:
                        type: array
                        items:
                          type: string
                      salaryMin:
                        anyOf:
                          - type: number
                          - type: 'null'
                      salaryMax:
                        anyOf:
                          - type: number
                          - type: 'null'
                      currency:
                        anyOf:
                          - type: string
                          - type: 'null'
                      salaryPeriod:
                        anyOf:
                          - type: string
                          - type: 'null'
                      publishedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                    required:
                      - id
                      - title
                      - slug
                      - status
                      - department
                      - location
                      - employmentType
                      - workplaceType
                      - description
                      - requirements
                      - benefits
                      - keywords
                      - salaryMin
                      - salaryMax
                      - currency
                      - salaryPeriod
                      - publishedAt
                      - createdAt
                      - updatedAt
                    additionalProperties: false
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          nextCursor:
                            anyOf:
                              - type: string
                              - type: 'null'
                          hasMore:
                            type: boolean
                          limit:
                            type: number
                        required:
                          - nextCursor
                          - hasMore
                          - limit
                        additionalProperties: false
                    additionalProperties: false
                required:
                  - data
                additionalProperties: false
        '401':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '403':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '404':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '429':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Harly API key

````